MozillaZine

Lost SpellBound Extension Functionality With Fx 1.5 Upgrade

Talk about add-ons and extension development.
Peter P. Schifferli
 
Posts: 456
Joined: December 10th, 2004, 7:59 pm

Post Posted November 29th, 2005, 11:18 pm

I now know that many of my favorite extensions are not compatible with the latest Fx version so...I'll just have to wait. From what I can determine SpellBound 0.7.3 spell checker <i>should</i> work but does <u>not</u>. I tried uninstalling it and then reinstalled:
<ul>
<li>front-end</li>
<li>back-end (Win 32)</li>
<li>dictionaries</li>
</ul>
I now get this message when I click on options under the extension menu:
Unable to setup the SpellChecker!
Possible solution:
Reinstall the SpellBound libraries

Tried that, didn't work either.

Suggestions please. TIA

Pete :(
Win 8.1, Fx 67.0, Tb 60.6.1

XerBlade

User avatar
 
Posts: 865
Joined: October 4th, 2005, 10:45 pm
Location: Nashville, TN, US

Post Posted November 30th, 2005, 7:58 am

Go to this page on the SpellBound home page.
Do not change the selection of versions to install, since this is automatically detected properly.
Down the page a bit, click the Install button.
Allow it to install, like you would any extension, and restart your browser.
And it works fine after that.
That whole front end/back end mess which is in a post here and extensionsmirror just plain doesn't work on 1.5.
User Agent
Extensions
AMD64/2.41GHz RAM/1.0GB ATI/256MB-GDDR3/128-bit/8xAGP Cable6.0M/384kbps

Peter P. Schifferli
 
Posts: 456
Joined: December 10th, 2004, 7:59 pm

Post Posted November 30th, 2005, 8:49 pm

That worked perfectly, many thanks!

Pete :D
Win 8.1, Fx 67.0, Tb 60.6.1

Ggar
 
Posts: 8
Joined: December 1st, 2005, 3:06 am

Post Posted December 1st, 2005, 3:23 am

XerBlade wrote:Go to this page on the SpellBound home page.
Do not change the selection of versions to install, since this is automatically detected properly.
Down the page a bit, click the Install button.
Allow it to install, like you would any extension, and restart your browser.
And it works fine after that.
That whole front end/back end mess which is in a post here and extensionsmirror just plain doesn't work on 1.5.



I've tried this literally about 15 times and it doesn't seem to work at all for me.
I was using Spellbound just fine with version 1.0.7 but can't seem to get it to work with version 1.5.
I tried clean installs and even deleting everything under options with no success.

The Spellbound page says:
SpellBound version 0.7.3: Successful
Spell Check Libraries for Windows: Successful

BUT......
I then get a pop up window saying the library 1.0.1.0 did not install because it's not compatiable with version 1.5.....only 1.0+
It's quite annoying.
I am running Windows 98SE.

Any help would be appreciated.

Robert S.

User avatar
 
Posts: 4399
Joined: April 24th, 2004, 3:04 am
Location: Bay Area, CA

Post Posted December 1st, 2005, 3:41 am

This WFM and others using official builds... the next release which will be available soon should prevent this from happening since the libraries can now be included with the extension. Please keep in mind that soon is a relative term :P I have been close to a release for the last month but have not been able to finish up the polishing to the level where I would be comfortable with a release. At this point it could be a day or it could be a week.

Lanik

User avatar
 
Posts: 606
Joined: August 18th, 2003, 9:34 pm
Location: SF Bay Area, USA

Post Posted December 1st, 2005, 4:27 am

Ggar wrote:BUT......
I then get a pop up window saying the library 1.0.1.0 did not install because it's not compatiable with version 1.5.....only 1.0+
It's quite annoying.
I am running Windows 98SE.
Get Nightly Testing Tools extension then once installing Spellbound tell it to override the maxVersion number during install and you won't have any problems any more.

@w.o.o.m.
Glad to hear you're working on a new version. I have a feature request, I was spellchecking a long document and it would be nice if one can see the word that is misspelled not the top of the document. Currently I just see the first 2 paragraphs and the rest of the document isn't visible. I can't scroll or anything. Just a thought. :)

Robert S.

User avatar
 
Posts: 4399
Joined: April 24th, 2004, 3:04 am
Location: Bay Area, CA

Post Posted December 1st, 2005, 4:50 am

Lanik - that is a bug that was introduced with a change in 1.5 and I have had a fix for this for a while now... also, spell as you type will be in the next release.

Peter P. Schifferli
 
Posts: 456
Joined: December 10th, 2004, 7:59 pm

Post Posted December 1st, 2005, 8:49 am

Note that when I clicked on Install <u>both</u> SpellBound 0.7.3 <u>and</u> Mozilla SpellCheck Libraries 1.0.1.0 were loaded with a single click. You could give that a try, contrary to the instructions on the web page. I did a clean install, removing the existing version of SpellBound first.

Pete
Win 8.1, Fx 67.0, Tb 60.6.1

XerBlade

User avatar
 
Posts: 865
Joined: October 4th, 2005, 10:45 pm
Location: Nashville, TN, US

Post Posted December 1st, 2005, 12:11 pm

Yeah, Fx 1.5 broke autoscrolling in a lot of extensions, which had to have their overlays rewritten to get that same feature working correctly again.
User Agent
Extensions
AMD64/2.41GHz RAM/1.0GB ATI/256MB-GDDR3/128-bit/8xAGP Cable6.0M/384kbps

Ggar
 
Posts: 8
Joined: December 1st, 2005, 3:06 am

Post Posted December 1st, 2005, 12:53 pm

Lanik wrote:
Ggar wrote:BUT......
I then get a pop up window saying the library 1.0.1.0 did not install because it's not compatiable with version 1.5.....only 1.0+
It's quite annoying.
I am running Windows 98SE.
Get Nightly Testing Tools extension then once installing Spellbound tell it to override the maxVersion number during install and you won't have any problems any more.



Thanks Lanik it works perfectly now.
It was driving me stir crazy trying to get it to work.
I greatly appreciate it!!

Old WildcatRay
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted December 1st, 2005, 5:35 pm

XerBlade wrote:Yeah, Fx 1.5 broke autoscrolling in a lot of extensions, which had to have their overlays rewritten to get that same feature working correctly again.

I have been seeing the scroll bars go away after I correct the first misspelled word. Is this what is being talked about and will (hopefully) be corrected with the next version of Spellbound?

I have Spelbound 0.7.3 with Mozilla Spellcheck Library 1.0.1.0 installed from the Spellbound install page.

Robert S.

User avatar
 
Posts: 4399
Joined: April 24th, 2004, 3:04 am
Location: Bay Area, CA

Post Posted December 1st, 2005, 5:39 pm

WildcatRay - yes

Old WildcatRay
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted December 1st, 2005, 5:48 pm

Thank you, Robert S.

Old Makondo
 
Posts: 0
Joined: December 31st, 1969, 5:00 pm

Post Posted December 2nd, 2005, 12:39 am

Just noticed - 'Robert S.' ?! After i've added w.o.o.m. to my dictionary?! ;-)

rlj
 
Posts: 9
Joined: November 30th, 2005, 7:07 pm

Post Posted December 2nd, 2005, 1:15 am

Robert, I made this post on the 30th... just hoping you saw it.
Thanks.

Return to Extension Development


Who is online

Users browsing this forum: No registered users and 3 guests